ConnectionProxyHandler (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine.jdbc.internal.proxy
Class ConnectionProxyHandler

    java.lang.Object
      org.hibernate.engine.jdbc.internal.proxy.AbstractProxyHandler
          org.hibernate.engine.jdbc.internal.proxy.ConnectionProxyHandler

All Implemented Interfaces:
  InvocationHandler, ConnectionObserver, NonDurableConnectionObserver

    public class ConnectionProxyHandler

extends AbstractProxyHandler
implements InvocationHandler, NonDurableConnectionObserver

The `InvocationHandler` for intercepting messages to `Connection` proxies.

Constructor Summary
`ConnectionProxyHandler(LogicalConnectionImplementor logicalConnection)`

Method Summary
`protected Object` | `continueInvocation(Object proxy, Method method, Object[] args)`
`protected LogicalConnectionImplementor` | `getLogicalConnection()` Access to our logical connection.
`void` | `logicalConnectionClosed()` The logical connection was closed.
`void` | `physicalConnectionObtained(Connection connection)` A physical connection was obtained.
`void` | `physicalConnectionReleased()` A physical connection was released.
`void` | `statementPrepared()` Notification of a statement being prepared

Methods inherited from class org.hibernate.engine.jdbc.internal.proxy.AbstractProxyHandler
`errorIfInvalid, hashCode, invalidate, invoke, isValid, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.lang.reflect.InvocationHandler
`invoke`

Constructor Detail

### ConnectionProxyHandler

    public ConnectionProxyHandler(LogicalConnectionImplementor logicalConnection)

Method Detail

### getLogicalConnection

    protected LogicalConnectionImplementor getLogicalConnection()

  Access to our logical connection.

  Returns:
    the logical connection

### continueInvocation

    protected Object continueInvocation(Object proxy,
                                        Method method,
                                        Object[] args)
                                 throws Throwable

  Specified by:
    `continueInvocation` in class `AbstractProxyHandler`
  Throws:
    `Throwable`

### physicalConnectionObtained

    public void physicalConnectionObtained(Connection connection)

  Description copied from interface: `ConnectionObserver`
  A physical connection was obtained.

  Specified by:
    `physicalConnectionObtained` in interface `ConnectionObserver`
  Parameters:
    `connection` - The physical connection just obtained.

### physicalConnectionReleased

    public void physicalConnectionReleased()

  Description copied from interface: `ConnectionObserver`
  A physical connection was released.

  Specified by:
    `physicalConnectionReleased` in interface `ConnectionObserver`

### logicalConnectionClosed

    public void logicalConnectionClosed()

  Description copied from interface: `ConnectionObserver`
  The logical connection was closed.

  Specified by:
    `logicalConnectionClosed` in interface `ConnectionObserver`

### statementPrepared

    public void statementPrepared()

  Description copied from interface: `ConnectionObserver`
  Notification of a statement being prepared

  Specified by:
    `statementPrepared` in interface `ConnectionObserver`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.